from flask_wtf import FlaskForm
from wtforms import StringField, TextAreaField, BooleanField, SubmitField
from wtforms.validators import DataRequired

class PlantForm(FlaskForm):
    name = StringField('Name', validators=[DataRequired()])
    type = StringField('Type')
    notes = TextAreaField('Notes')
    is_active = BooleanField('Active', default=True)
    submit = SubmitField('Save')
